#ifndef CUETRACKWIDGET_H
#define CUETRACKWIDGET_H

#include <QWidget>
#include <QTimeLine>

#include "defines.h"
#include "dialgroup.h"

namespace Ui {
class CueTrackWidget;
}

class CueTrackWidget : public QWidget
{
    Q_OBJECT

public:
    explicit CueTrackWidget(QWidget *parent = nullptr);
    ~CueTrackWidget();

public slots:
	void loadCueTrack(CueTrack* track);
    void go();
    void setNextCue();

private:
    Ui::CueTrackWidget *ui;
    QTimeLine tlFade;
    QTimeLine tlWaitIn;
    QTimeLine tlWaitOut;
	bool muted = false;

private slots:
    void fadeSlot();
    void waitInSlot();
    void waitOutSlot();
	void play();
	void stop();
	void pause();
	void fadeIn();
	void fadeOut();
	void mute();

signals:
    void cueFinished(int layer);
    void goAction(int layer);
	void changeStatus(int layer, Status status);
    void changeVol(int layer, Slider s, int value, int fadein, int fadeout);
};

#endif // CUETRACKWIDGET_H
