#ifndef DMXPERSONALITY_H
#define DMXPERSONALITY_H

#define DMX_FOLDER 0
#define DMX_FILE 1
#define VOLUME_FINE 2
#define VOLUME_COARSE 3
#define ENTRY_POINT_FINE 4
#define ENTRY_POINT_COARSE 5
#define PAN 6
#define PITCH 7
#define PLAYBACK 8
#define HP_FREQ 9
#define LOW_FREQ 10
#define LOW_Q 11
#define LOW_GAIN 12
#define MIDLOW_FREQ 13
#define MIDLOW_Q 14
#define MIDLOW_GAIN 15
#define MIDHIGH_FREQ 16
#define MIDHIGH_Q 17
#define MIDHIGH_GAIN 18
#define HIGH_FREQ 19
#define HIGH_Q 20
#define HIGH_GAIN 21
#define FILTER_BANK_GAIN 22
#define SEND1 23
#define SEND2 24
#define LAYER_CHANNELS 25

constexpr const char* dmxChannelToString(int e) noexcept
{
    switch (e) {
        case HP_FREQ: return "High Pass Cutoff Frec";
        case LOW_FREQ: return "Low Cutoff Frec";
        case LOW_Q: return "Low Slope";
        case LOW_GAIN: return "Low Gain";
        case MIDLOW_FREQ: return "Mid Low Frec";
        case MIDLOW_Q: return "Mid Low Q";
        case MIDLOW_GAIN: return "Mid Low Gain";
        case MIDHIGH_FREQ: return "Mid High Frec";
        case MIDHIGH_Q:  return "Mid High Q";
        case MIDHIGH_GAIN: return "Mid High Gain";
        case HIGH_FREQ: return "High Cutoff Frec";
        case HIGH_Q: return "High Slope";
        case HIGH_GAIN: return "High Gain";
        case FILTER_BANK_GAIN: return "Post Filters Gain";
    default: return "++--++--++";
    }
}

#endif // DMXPERSONALITY_H
