/*

    Libre Media Server Audio - An Open source Media Server for arts and performing.
    (c) Criptomart - Santiago Noreña 2012-2024 <lms@criptomart.net>
    https://git.criptomart.net/libremediaserver

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#include "main.h"

bool hasUi(int &argc, char *argv[])
{
    for (int i = 1; i < argc; ++i) {
        if (!strcmp(argv[i], "--gui"))
            return true;
    }
    return false;
}

int main(int argc, char *argv[])
{
	QApplication app(argc, argv);
	libreMediaServerAudio lms;
	app.setApplicationName("LibreMediaServerAudio");
    app.setOrganizationName("Criptomart");
    app.setOrganizationDomain("criptomart.net");
    QCoreApplication::setOrganizationName("Criptomart");
    QCoreApplication::setOrganizationDomain("criptomart.net");
    QCoreApplication::setApplicationName("LibreMediaServerAudio");
    app.setApplicationVersion(VERSION);
#ifndef NOGUI
  if (hasUi(argc, argv) || lms.getShowUi())
  {
          libreMediaServerAudioUi *lmsUi = new libreMediaServerAudioUi();
          lms.setUi(lmsUi);
          lmsUi->show();
  }
#endif
  return app.exec();
}
